Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization.resources
Interface Resource

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  ResourceImpl

    public interface Resource

extends java.io.Serializable

This interface is used for making any data available to the Personalization Engine.

The ResourceDomain3 and ResourceManager3 interfaces are then used to operate on the data mapped in with the Resource interface.

Field Summary
`static java.lang.String` | `COPYRIGHT`

Method Summary
`java.lang.Object` | `get(java.lang.String name)` Returns a dynamic property stored with the given name accessible from the resource.
`java.lang.String` | `getId()` Returns id of the this Resource.
`java.util.Enumeration` | `keys()` Get all keys associated for dynamic properties accessible from this resource.
`void` | `put(java.lang.String name, java.lang.Object value)` Store a dynamic property of the given value under the given name.
`void` | `remove(java.lang.String name)` Remove object of specified key as a dynamic property of this resource.

Field Detail

### COPYRIGHT

    static final java.lang.String COPYRIGHT

Method Detail

### get

    java.lang.Object get(java.lang.String name)

  Returns a dynamic property stored with the given name accessible from the resource. Implementing this method is optional. Implementors may instead define properties on the subclass which are called by the Personalization Engine through Java reflection.

### getId

    java.lang.String getId()

  Returns id of the this Resource. This id must uniquely identify the data represented by this Resource. This method does not need to return a value which is mapped to a single column in the underlying content store, but it must work in coordination with the ResourceManager3 findById method such that `manager.findById(resource.getId(), context).getId().equals(resource.getId())` returns true.

### keys

    java.util.Enumeration keys()

  Get all keys associated for dynamic properties accessible from this resource.

### put

    void put(java.lang.String name,
             java.lang.Object value)

  Store a dynamic property of the given value under the given name.

### remove

    void remove(java.lang.String name)

  Remove object of specified key as a dynamic property of this resource.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD